#==========================================================================#
# ■ B.Forum Ver.1.01                                                      #
# ■ プラグインSDK(_form_text)                                             #
# □ Encode = EUC                                                          #
# □ Hiroaki,Sakuma (sakuma@beetas.org)                                    #
#                                                                          #
# このアプリケーションはオープンソースウェアです.                          #
# 無料で使用することができます.                                            #
# なお, 詳細な使用条件/最新情報については下記サイトをご覧下さい.           #
# http://www.beetas.org/                                                   #
#                                                                          #
# ------------------------------------------------------------------------ #
# Copyright 2001-2002 Hiroaki,Sakuma All Rights Reserved.                  #
# Copyright 2001-2002 BEETAS.org All Rights Reserved.                      #
#                                                                          #
#==========================================================================#
package _form_text;

use Exporter;
use strict;

@ISA = qw(Exporter);
@EXPORT = qw(version status require_min require_max main);

my (%in %SET);

sub version {
	# バージョン(要変更)
	$version = "Plugin SDK(_form_text) 1.01(0055-0058)";
	return $version;
}

sub status {
	return 1;
}

sub require_min {
	# 最低動作バージョン(要変更)
	$require_min = "0055";
	return $require_min;
}

sub require_max {
	# 最高動作バージョン(要変更)
	$require_max = "0058";
	return $require_max;
}

sub main ($$$@) {

	# 変更の必要なし
	my $head = $_[0];
	my $foot = $_[1];
	%in = %{$_[2]};
	splice (@_,0,3);
	%SET = %Bforum::SET;



	# ここから変更

	my ($tmp1,$tmp2,$tmp3,$tmp4,$tmp5,$tmp7) = @_;

	my ($tmp6);

	if (defined $in{$tmp4}) {
		$tmp1 =~ s/ value=$tmp3(.*?)$tmp3//gio;
		$tmp1 =~ s/>/ value="$in{$tmp4}">/io;
	} elsif ($in{'v'} && $tmp4 eq 'title') {
		&Bforum::_analysis(\%Bforum::form,&Bforum::_open(undef,"$SET{'USER_DIR'}/$in{'id'}/$in{'t'}/$in{'v'}"));
		$Bforum::form{'title'} = $Bforum::form{'full_title'};
		if ($Bforum::form{'title'} =~ s/^Re\^(\d+): //o) {
			$tmp6 = "Re^" . ($1 + 1) . ": $Bforum::form{'title'}";
		} elsif ($Bforum::form{'title'} =~ s/^Re: //o) {
			$tmp6 = "Re^2: $Bforum::form{'title'}";
		} else {
			$tmp6 = "Re: $Bforum::form{'title'}";
		}
		$tmp1 =~ s/ value=$tmp3(.*?)$tmp3//gio;
		$tmp1 =~ s/>/ value="$tmp6">/io;
	}

	undef @_;
	return $tmp1;

}

sub about {
	close (NULL);
	&Bforum::about((caller)[2] . '@' . &version);
}

1;

